summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-25 19:52:01 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-25 19:52:01 +0200
commit0f392b1518e6d97230149c48f6d4015900f3f39d (patch)
tree70732833e7a8497628427d3e16568ef4028e21df /bin/g-i-installation.sh
parent83492b039e3e52b53e65efdbfab08b4b72daca6d (diff)
downloadjenkins.debian.net-0f392b1518e6d97230149c48f6d4015900f3f39d.tar.xz
g-i-i: fix output
Diffstat (limited to 'bin/g-i-installation.sh')
-rwxr-xr-xbin/g-i-installation.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index ed221180..4762312d 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -1012,7 +1012,6 @@ save_logs() {
#
# get logs and other files from the installed system
#
- # remove set +e & -x once the code has proven its good
set -x
cd $WORKSPACE
SYSTEM_MNT=/media/$NAME
@@ -1040,6 +1039,7 @@ save_logs() {
#
set +e
sudo cp -r $SYSTEM_MNT/var/log/installer $SYSTEM_MNT/etc/fstab $RESULTS/log/
+ set -e
#
# get list of installed packages
#
@@ -1087,6 +1087,7 @@ save_logs() {
*) ;;
esac
sudo umount -l $SYSTEM_MNT || ( echo "Warning: cannot un-mount $SYSTEM_MNT" ; figlet "fail" )
+ set -x
}
trap cleanup_all INT TERM EXIT